
{: test that wrong type in exponents cause a compilation error }

program e1005( output );

var
   x :  real;
   i  :  integer;
   pass : boolean;
begin
   i := 13;
   x := 12.5;

   x := (-3)**pass;
    writeln( 'x is ', x:1:1, ', i is ', i:1 );
end. { e1005 }

